import * as SchemaTypes from '@workbench-stack/core';
import { DocumentNode } from 'graphql';
import * as ApolloReactCommon from '@apollo/react-common';
import * as ApolloReactHooks from '@apollo/react-hooks';
export declare const DefaultSettingFragmentDoc: DocumentNode;
export declare const SettingRangeFragmentDoc: DocumentNode;
export declare const TerminalConfigurationFragmentDoc: DocumentNode;
export declare const SearchConfigurationFragmentDoc: DocumentNode;
export declare const LanguagesConfigurationFragmentDoc: DocumentNode;
export declare const FilesConfigurationFragmentDoc: DocumentNode;
export declare const GitConfigurationFragmentDoc: DocumentNode;
export declare const WorkspaceConfigurationFragmentDoc: DocumentNode;
export declare const ViewerSettingsFragmentDoc: DocumentNode;
export declare const AllContextFragmentDoc: DocumentNode;
export declare const FinalConfigurationFragmentDoc: DocumentNode;
export declare const ResourceContextFragmentDoc: DocumentNode;
export declare const installDocument: DocumentNode;
export declare function useinstallMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
export declare type installMutationHookResult = ReturnType<typeof useinstallMutation>;
export declare type installMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IinstallMutation>;
export declare type installMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
export declare const providerDefinitionDocument: DocumentNode;
export declare function useproviderDefinitionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
export declare type providerDefinitionMutationHookResult = ReturnType<typeof useproviderDefinitionMutation>;
export declare type providerDefinitionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IproviderDefinitionMutation>;
export declare type providerDefinitionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
export declare const removeDocument: DocumentNode;
export declare function useremoveMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>;
export declare type removeMutationHookResult = ReturnType<typeof useremoveMutation>;
export declare type removeMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IremoveMutation>;
export declare type removeMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IremoveMutation, SchemaTypes.IremoveMutationVariables>;
export declare const ExtensionsByLimitDocument: DocumentNode;
export declare function useExtensionsByLimitQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare function useExtensionsByLimitLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare type ExtensionsByLimitQueryHookResult = ReturnType<typeof useExtensionsByLimitQuery>;
export declare type ExtensionsByLimitLazyQueryHookResult = ReturnType<typeof useExtensionsByLimitLazyQuery>;
export declare type ExtensionsByLimitQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare const ExtensionsDocument: DocumentNode;
export declare function useExtensionsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export declare function useExtensionsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export declare type ExtensionsQueryHookResult = ReturnType<typeof useExtensionsQuery>;
export declare type ExtensionsLazyQueryHookResult = ReturnType<typeof useExtensionsLazyQuery>;
export declare type ExtensionsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export declare const galleryExtensionDocument: DocumentNode;
export declare function usegalleryExtensionQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export declare function usegalleryExtensionLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export declare type galleryExtensionQueryHookResult = ReturnType<typeof usegalleryExtensionQuery>;
export declare type galleryExtensionLazyQueryHookResult = ReturnType<typeof usegalleryExtensionLazyQuery>;
export declare type galleryExtensionQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export declare const galleryDocument: DocumentNode;
export declare function usegalleryQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export declare function usegalleryLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export declare type galleryQueryHookResult = ReturnType<typeof usegalleryQuery>;
export declare type galleryLazyQueryHookResult = ReturnType<typeof usegalleryLazyQuery>;
export declare type galleryQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export declare const installedExtensionsDocument: DocumentNode;
export declare function useinstalledExtensionsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
export declare function useinstalledExtensionsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
export declare type installedExtensionsQueryHookResult = ReturnType<typeof useinstalledExtensionsQuery>;
export declare type installedExtensionsLazyQueryHookResult = ReturnType<typeof useinstalledExtensionsLazyQuery>;
export declare type installedExtensionsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IinstalledExtensionsQuery, SchemaTypes.IinstalledExtensionsQueryVariables>;
export declare const ViewerSettingsDocument: DocumentNode;
export declare function useViewerSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export declare function useViewerSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export declare type ViewerSettingsQueryHookResult = ReturnType<typeof useViewerSettingsQuery>;
export declare type ViewerSettingsLazyQueryHookResult = ReturnType<typeof useViewerSettingsLazyQuery>;
export declare type ViewerSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export declare const OpenPreferenceEditorDocument: DocumentNode;
export declare function useOpenPreferenceEditorMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenPreferenceEditorMutation, SchemaTypes.IOpenPreferenceEditorMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenPreferenceEditorMutation, SchemaTypes.IOpenPreferenceEditorMutationVariables>;
export declare type OpenPreferenceEditorMutationHookResult = ReturnType<typeof useOpenPreferenceEditorMutation>;
export declare type OpenPreferenceEditorMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenPreferenceEditorMutation>;
export declare type OpenPreferenceEditorMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenPreferenceEditorMutation, SchemaTypes.IOpenPreferenceEditorMutationVariables>;
export declare const saveUserSettingsDocument: DocumentNode;
export declare function usesaveUserSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
export declare type saveUserSettingsMutationHookResult = ReturnType<typeof usesaveUserSettingsMutation>;
export declare type saveUserSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveUserSettingsMutation>;
export declare type saveUserSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
export declare const saveWorkspaceSettingsDocument: DocumentNode;
export declare function usesaveWorkspaceSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
export declare type saveWorkspaceSettingsMutationHookResult = ReturnType<typeof usesaveWorkspaceSettingsMutation>;
export declare type saveWorkspaceSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveWorkspaceSettingsMutation>;
export declare type saveWorkspaceSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
export declare const DefaultPreferencesDocument: DocumentNode;
export declare function useDefaultPreferencesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export declare function useDefaultPreferencesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export declare type DefaultPreferencesQueryHookResult = ReturnType<typeof useDefaultPreferencesQuery>;
export declare type DefaultPreferencesLazyQueryHookResult = ReturnType<typeof useDefaultPreferencesLazyQuery>;
export declare type DefaultPreferencesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export declare const DefaultSettingsDocument: DocumentNode;
export declare function useDefaultSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>;
export declare function useDefaultSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>;
export declare type DefaultSettingsQueryHookResult = ReturnType<typeof useDefaultSettingsQuery>;
export declare type DefaultSettingsLazyQueryHookResult = ReturnType<typeof useDefaultSettingsLazyQuery>;
export declare type DefaultSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDefaultSettingsQuery, SchemaTypes.IDefaultSettingsQueryVariables>;
export declare const FullConfigurationDocument: DocumentNode;
export declare function useFullConfigurationQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export declare function useFullConfigurationLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export declare type FullConfigurationQueryHookResult = ReturnType<typeof useFullConfigurationQuery>;
export declare type FullConfigurationLazyQueryHookResult = ReturnType<typeof useFullConfigurationLazyQuery>;
export declare type FullConfigurationQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export declare const WorkspacesDocument: DocumentNode;
export declare function useWorkspacesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export declare function useWorkspacesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export declare type WorkspacesQueryHookResult = ReturnType<typeof useWorkspacesQuery>;
export declare type WorkspacesLazyQueryHookResult = ReturnType<typeof useWorkspacesLazyQuery>;
export declare type WorkspacesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export declare const JsonEditingWriteDocument: DocumentNode;
export declare function useJsonEditingWriteMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>;
export declare type JsonEditingWriteMutationHookResult = ReturnType<typeof useJsonEditingWriteMutation>;
export declare type JsonEditingWriteMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IJsonEditingWriteMutation>;
export declare type JsonEditingWriteMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IJsonEditingWriteMutation, SchemaTypes.IJsonEditingWriteMutationVariables>;
export declare const OpenEditorFileDocument: DocumentNode;
export declare function useOpenEditorFileMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>;
export declare type OpenEditorFileMutationHookResult = ReturnType<typeof useOpenEditorFileMutation>;
export declare type OpenEditorFileMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IOpenEditorFileMutation>;
export declare type OpenEditorFileMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IOpenEditorFileMutation, SchemaTypes.IOpenEditorFileMutationVariables>;
export declare const FinalConfiguration_WSDocument: DocumentNode;
export declare function useFinalConfiguration_WSQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
export declare function useFinalConfiguration_WSLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
export declare type FinalConfiguration_WSQueryHookResult = ReturnType<typeof useFinalConfiguration_WSQuery>;
export declare type FinalConfiguration_WSLazyQueryHookResult = ReturnType<typeof useFinalConfiguration_WSLazyQuery>;
export declare type FinalConfiguration_WSQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFinalConfiguration_WSQuery, SchemaTypes.IFinalConfiguration_WSQueryVariables>;
export declare const GetContextDocument: DocumentNode;
export declare function useGetContextQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
export declare function useGetContextLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
export declare type GetContextQueryHookResult = ReturnType<typeof useGetContextQuery>;
export declare type GetContextLazyQueryHookResult = ReturnType<typeof useGetContextLazyQuery>;
export declare type GetContextQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
export declare const GetViewsDocument: DocumentNode;
export declare function useGetViewsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
export declare function useGetViewsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
export declare type GetViewsQueryHookResult = ReturnType<typeof useGetViewsQuery>;
export declare type GetViewsLazyQueryHookResult = ReturnType<typeof useGetViewsLazyQuery>;
export declare type GetViewsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetViewsQuery, SchemaTypes.IGetViewsQueryVariables>;
export declare const GetWorkspaceDocument: DocumentNode;
export declare function useGetWorkspaceQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;
export declare function useGetWorkspaceLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;
export declare type GetWorkspaceQueryHookResult = ReturnType<typeof useGetWorkspaceQuery>;
export declare type GetWorkspaceLazyQueryHookResult = ReturnType<typeof useGetWorkspaceLazyQuery>;
export declare type GetWorkspaceQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetWorkspaceQuery, SchemaTypes.IGetWorkspaceQueryVariables>;
